## Apache Zeta Components Manual :: Docs For Class ezcFile

### File::ezcFile

### Class ezcFile

Provides a selection of static independent methods to provide functionality for file and file system handling. This class is deprecated, please use ezcBaseFile instead.

Source for this file: /File/src/file.php

    ezcBaseFile
       |
       --ezcFile

Version: | //autogentag//

### Inherited Methods

From ezcBaseFile
public static string | `ezcBaseFile::calculateRelativePath()` Calculates the relative path of the file/directory '$path' to a given $base path.
public static void | `ezcBaseFile::copyRecursive()` Recursively copy a file or directory.
public static array | `ezcBaseFile::findRecursive()` Finds files recursively on a file system
protected static void | `ezcBaseFile::findRecursiveCallback()` This is the callback used by findRecursive to collect data.
public static bool | `ezcBaseFile::isAbsolutePath()` Returns whether the passed $path is an absolute path, giving the current $os.
public static void | `ezcBaseFile::removeRecursive()` Removes files and directories recursively from a file system
public static array | `ezcBaseFile::walkRecursive()` Walks files and directories recursively on a file system

Documentation generated by phpDocumentor 1.4.3